Package com.databricks.jdbc.client.sqlexec

## Class ResultManifest

- java.lang.Object
- - com.databricks.jdbc.client.sqlexec.ResultManifest

    public class ResultManifest
    extends Object

### Constructor Summary

Constructors
`ResultManifest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Collection<com.databricks.sdk.service.sql.BaseChunkInfo>` `getChunks()`
`CompressionType` `getCompressionType()`
`com.databricks.sdk.service.sql.Format` `getFormat()`
`Boolean` `getIsVolumeOperation()`
`com.databricks.sdk.service.sql.ResultSchema` `getSchema()`
`Long` `getTotalByteCount()`
`Long` `getTotalChunkCount()`
`Long` `getTotalRowCount()`
`Boolean` `getTruncated()`
`int` `hashCode()`
`ResultManifest` `setChunks​(Collection<com.databricks.sdk.service.sql.BaseChunkInfo> chunks)`
`ResultManifest` `setCompressionType​(CompressionType compressionType)`
`ResultManifest` `setFormat​(com.databricks.sdk.service.sql.Format format)`
`ResultManifest` `setIsVolumeOperation​(Boolean isVolumeOperation)`
`ResultManifest` `setSchema​(com.databricks.sdk.service.sql.ResultSchema schema)`
`ResultManifest` `setTotalByteCount​(Long totalByteCount)`
`ResultManifest` `setTotalChunkCount​(Long totalChunkCount)`
`ResultManifest` `setTotalRowCount​(Long totalRowCount)`
`ResultManifest` `setTruncated​(Boolean truncated)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResultManifest

    public ResultManifest()

### Method Detail

#### setChunks

    public ResultManifest setChunks​(Collection<com.databricks.sdk.service.sql.BaseChunkInfo> chunks)

#### getCompressionType

    public CompressionType getCompressionType()

#### setCompressionType

    public ResultManifest setCompressionType​(CompressionType compressionType)

#### getChunks

    public Collection<com.databricks.sdk.service.sql.BaseChunkInfo> getChunks()

#### setFormat

    public ResultManifest setFormat​(com.databricks.sdk.service.sql.Format format)

#### getFormat

    public com.databricks.sdk.service.sql.Format getFormat()

#### setSchema

    public ResultManifest setSchema​(com.databricks.sdk.service.sql.ResultSchema schema)

#### getSchema

    public com.databricks.sdk.service.sql.ResultSchema getSchema()

#### setTotalByteCount

    public ResultManifest setTotalByteCount​(Long totalByteCount)

#### getTotalByteCount

    public Long getTotalByteCount()

#### setTotalChunkCount

    public ResultManifest setTotalChunkCount​(Long totalChunkCount)

#### getTotalChunkCount

    public Long getTotalChunkCount()

#### setTotalRowCount

    public ResultManifest setTotalRowCount​(Long totalRowCount)

#### getTotalRowCount

    public Long getTotalRowCount()

#### setTruncated

    public ResultManifest setTruncated​(Boolean truncated)

#### getTruncated

    public Boolean getTruncated()

#### setIsVolumeOperation

    public ResultManifest setIsVolumeOperation​(Boolean isVolumeOperation)

#### getIsVolumeOperation

    public Boolean getIsVolumeOperation()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`